<<

# Bugzilla::Classification

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS

# NAME

Bugzilla::Classification - Bugzilla classification class.

# SYNOPSIS

        use Bugzilla::Classification;

        my $classification = new Bugzilla::Classification(1);
        my $classification = new Bugzilla::Classification({name => 'Acme'});

        my $id = $classification->id;
        my $name = $classification->name;
        my $description = $classification->description;
        my $sortkey = $classification->sortkey;
        my $product_count = $classification->product_count;
        my $products = $classification->products;

# DESCRIPTION

Classification.pm represents a classification object. It is an implementation of Bugzilla::Object, and thus provides all methods that Bugzilla::Object provides.

The methods that are specific to `Bugzilla::Classification` are listed below.

A Classification is a higher-level grouping of Products.

# METHODS

`product_count()`

       Description: Returns the total number of products that belong to
                    the classification.

       Params:      none.

       Returns:     Integer - The total of products inside the classification.

`products`

       Description: Returns all products of the classification.

       Params:      none.

       Returns:     A reference to an array of Bugzilla::Product objects.

<<